# DataExchange
TKSTEPBase
StepGeom

# StepGeom_Hyperbola Class Reference

`#include <StepGeom_Hyperbola.hxx>`

Inheritance diagram for StepGeom_Hyperbola:

[legend]

## Public Member Functions

Standard_EXPORT | StepGeom_Hyperbola ()
| Returns a Hyperbola .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const StepGeom_Axis2Placement &aPosition)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const StepGeom_Axis2Placement &aPosition, const Standard_Real aSemiAxis, const Standard_Real aSemiImagAxis)
Standard_EXPORT void | SetSemiAxis (const Standard_Real aSemiAxis)
Standard_EXPORT Standard_Real | SemiAxis () const
Standard_EXPORT void | SetSemiImagAxis (const Standard_Real aSemiImagAxis)
Standard_EXPORT Standard_Real | SemiImagAxis () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | semiAxis
Standard_Real | semiImagAxis

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_Hyperbola::StepGeom_Hyperbola | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepGeom_Hyperbola::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_Conic.

virtual Standard_EXPORT void StepGeom_Hyperbola::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const StepGeom_Axis2Placement & | aPosition,
|  | const Standard_Real | aSemiAxis,
|  | const Standard_Real | aSemiImagAxis
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_Hyperbola::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const StepGeom_Axis2Placement & | aPosition
| ) | `[virtual]`

| Reimplemented from StepGeom_Conic.

Standard_EXPORT Standard_Real StepGeom_Hyperbola::SemiAxis | ( |  | ) | const

Standard_EXPORT Standard_Real StepGeom_Hyperbola::SemiImagAxis | ( |  | ) | const

Standard_EXPORT void StepGeom_Hyperbola::SetSemiAxis | ( | const Standard_Real | aSemiAxis | ) |

Standard_EXPORT void StepGeom_Hyperbola::SetSemiImagAxis | ( | const Standard_Real | aSemiImagAxis | ) |

## Field Documentation

Standard_Real StepGeom_Hyperbola::semiAxis `[private]`

Standard_Real StepGeom_Hyperbola::semiImagAxis `[private]`

The documentation for this class was generated from the following file:

- StepGeom_Hyperbola.hxx